> ## Documentation Index
> Fetch the complete documentation index at: https://dexbuilder.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询市场强平订单历史

> 查询市场强平订单历史记录

查询市场强平订单历史记录。


## OpenAPI

````yaml openapi/perpdex.yaml GET /dex_futures/{settle}/liq_orders
openapi: 3.0.3
info:
  title: DexBuilder PerpDEX API
  version: 1.0.0
  description: DexBuilder PerpDEX REST API。
servers:
  - url: https://api.dexbuilder.com/api/v1
    description: DexBuilder PerpDEX REST API
security:
  - DexBuilderKey: []
    DexBuilderTimestamp: []
    DexBuilderSignature: []
tags:
  - name: 行情
    description: 永续合约公开行情与市场数据
  - name: 风险数据
    description: 风险限额与市场强平数据
  - name: 账户
    description: 账户与费率
  - name: 持仓
    description: 持仓查询与管理
  - name: 订单
    description: 订单、成交与批量交易
paths:
  /dex_futures/{settle}/liq_orders:
    get:
      tags:
        - 风险数据
      summary: 查询市场强平订单历史
      description: 查询市场强平订单历史。from 与 to 的时间跨度最大为 3600 秒。
      operationId: listPerpLiquidatedOrders
      parameters:
        - $ref: '#/components/parameters/Settle'
        - $ref: '#/components/parameters/ContractQuery'
        - $ref: '#/components/parameters/From'
        - $ref: '#/components/parameters/To'
        - $ref: '#/components/parameters/Limit'
      responses:
        '200':
          description: 查询成功
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LiquidatedOrder'
      security: []
components:
  parameters:
    Settle:
      name: settle
      in: path
      required: true
      description: 结算币种
      schema:
        type: string
        enum:
          - usdt
      example: usdt
    ContractQuery:
      name: contract
      in: query
      required: false
      description: 永续合约，不传则返回全部
      schema:
        type: string
    From:
      name: from
      in: query
      required: false
      description: 开始时间，Unix 秒
      schema:
        type: integer
        format: int64
    To:
      name: to
      in: query
      required: false
      description: 结束时间，Unix 秒
      schema:
        type: integer
        format: int64
    Limit:
      name: limit
      in: query
      required: false
      description: 单次返回的最大记录数量
      schema:
        type: integer
  schemas:
    LiquidatedOrder:
      type: object
      properties:
        time:
          type: integer
          format: int64
          description: 时间戳
        contract:
          type: string
          description: 合约
        size:
          type: string
          description: 强平数量
        price:
          type: string
          description: 价格
      additionalProperties: true
  securitySchemes:
    DexBuilderKey:
      type: apiKey
      in: header
      name: KEY
      description: DexBuilder API Key
    DexBuilderTimestamp:
      type: apiKey
      in: header
      name: Timestamp
      description: Unix 时间戳（秒），与当前时间差不得超过 60 秒
    DexBuilderSignature:
      type: apiKey
      in: header
      name: SIGN
      description: 使用 API Secret 对签名字符串执行 HMAC-SHA512 后的十六进制签名

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.